/* Berechnung der Einkommensteuer nach dem
 * Einkommensteuergesetz 2009
 * Variante 2: Steuer wird iterativ in
 * einer Schleife bestimmt
 */

#include <stdio.h>

#define LEN 4
const double grenzen[LEN] = 
{  0.0,
   11000.0,
   25000.0,
   60000.0
};

const double steuersaetze[LEN] = 
{  0.0,
   5110.0/14000.0,
   15125.0/35000.0,
   0.50
};

main()
{  double einkommen, steuer = 0, einkommenLaufend;
   long   i;

   // Eingabe
   printf("Berechnung der Einkommensteuer nach dem \n");
   printf("Einkommensteuergesetz 2009\n\n");
   printf("Geben Sie ihr jhrliches Einkommen in EURO ein: ");
   scanf("%lf", &einkommen);

   einkommenLaufend = einkommen;

   // Eingabe korrekt?
   if (einkommen < 0)
      printf("Negatives Einkommen angegeben!\n");
   else
   {  // Berechnung
      for (i = LEN - 1; i >= 0; --i)
         if (einkommenLaufend > grenzen[i])
         {  steuer           += (einkommenLaufend - grenzen[i]) *
                                steuersaetze[i];
            einkommenLaufend  = grenzen[i];
         }

      // Ausgabe
      printf("Die Einkommensteurer betrgt EURO %g\n", steuer);
   }
}  // end main
