#include <stdio.h>

/* Ausgabe: Ausgabe eins Feldes
 * Parameter:
 *     feld: das auszugebende Feld
 *     len:  Lnge des Feldes
 * Rckgabewert: keiner
 */
void Ausgabe(long feld[], long len)
{  long i;

   for (i = 0; i < len; i = i + 1)
      printf("%ld  ", feld[i]);
   printf("\n");
}  // end Ausgabe

/* KopiereFeld: Kopiert das Feld src der Lnge len nach dst
 * Bedingung:   Das Feld dst muss mindest genau so gro sein wie src
 * Parameter:
 *     dst:  destination -- Ziel
 *     src:  source      -- Quelle
 *     len:  length      -- Lnge
 * Rckgabewert: keiner
 */
void KopiereFeld(long dst[], long src[], long len)
{  long i;

   for (i = 0; i < len; i = i + 1)
      dst[i] = src[i];
}  // end KopiereFeld

main()
{  long zahlen[] = {1, 5, 10, 50, 100, 500, 1000};
#  define ZAHLEN_LEN sizeof(zahlen) / sizeof(long)
   long ziel  [ZAHLEN_LEN];

   KopiereFeld(ziel, zahlen, ZAHLEN_LEN);
   Ausgabe(ziel, ZAHLEN_LEN);
}  // end main
