#include <stdio.h>

#define LEN 3

/* AusgabeMatrix: Ausgabe einer Matrix
 * Parameter:
 *     matrix: n x n Matrix
 *             n = LEN
 * Rckgabewert: keiner
 */
void AusgabeMatrix(double matrix[][LEN])
{  long i, j;

   for (i = 0; i < LEN; i = i + 1)
   {  for (j = 0; j < LEN; j = j + 1)
         printf("%8g  ", matrix[i][j]);
      printf("\n");
   }
}  // end AusgabeMatrix

/* EingabeMatrix: Liest eine n x n Matrix zeilenweise ein
 * Parameter:
 *     matrix: n x n Matrix
 *             n = LEN
 * Rckgabewert: keiner
 */
void EingabeMatrix(double matrix[][LEN])
{  long i, j;

   for (i = 0; i < LEN; i = i + 1)
   {  for (j = 0; j < LEN; j = j + 1)
      {  printf("Element (%2ld, %2ld): ", i, j);
         scanf("%lf", &matrix[i][j]);
      }
   }
}  // end EingabeMatrix

/* MatrixMultiplikation: Multipliziert zwei n x n Matrizen
 * Parameter:
 *     ergebnis: Ergebnismatrix
 *     matrix1:  Linke  Matrix
 *     matrix2:  Rechte Matrix
 * Rckgabewert: keiner
 */
void MatrixMultiplikation(double ergebnis[][LEN],
        double matrix1[][LEN],
        double matrix2[][LEN])
{  long   i, j, k;
   double sum;

   for (i = 0; i < LEN; i = i + 1)
   {  for (j = 0; j < LEN; j = j + 1)
      {  sum = 0;
         for (k = 0; k < LEN; k = k + 1)
            sum += matrix1[i][k] * matrix2[k][j];
         ergebnis [i][j] = sum;
      }
   }
}  // end MatrixMultiplikation

main()
{  double arg1[LEN][LEN];
   double arg2[LEN][LEN];
   double erg [LEN][LEN];

   // Eingabe
   printf("Eingabe Matrix 1:\n");
   EingabeMatrix(arg1);
   printf("Eingabe Matrix 2:\n");
   EingabeMatrix(arg2);

   // Matrixmultiplikation
   MatrixMultiplikation(erg, arg1, arg2);

   // Ausgabe
   printf("Ergebnismatrix:\n");
   AusgabeMatrix(erg);
}  // end main
